### Method

# Gtk IconView get_model

#### Declaration [src]

    GtkTreeModel*
    gtk_icon_view_get_model (
      GtkIconView* icon_view
    )

#### Description [src]

Returns the model the `GtkIconView` is based on. Returns `NULL` if the model is unset.

#### Return value

Returns: | `GtkTreeModel`
| The currently used `GtkTreeModel`.
| The data is owned by the instance.
| The return value can be `NULL`.